> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update settlement rule



## OpenAPI

````yaml /api-reference/openapi.json put /v1/addresses/settlement-rules/{ruleId}
openapi: 3.0.3
info:
  title: XentFi API
  version: 1.0.0
  description: >-
    API documentation for XentFi.The XentFi API gives you access to pretty much
    all the features you can use on our dashboard and lets you extend them for
    use in your application. It strives to be RESTful and is organized around
    the main resources you would be interacting with - with a few notable
    exceptions.
servers:
  - url: https://api.xentfi.com
    description: Development server
security: []
tags: []
paths:
  /v1/addresses/settlement-rules/{ruleId}:
    put:
      tags:
        - Auto Settlement
      summary: Update settlement rule
      operationId: updateAddresSettlementRule
      parameters:
        - name: ruleId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                description:
                  type: string
                order:
                  type: string
                  enum:
                    - FASTEST
                    - CHEAPEST
                    - RECOMMENDED
                    - NO_SLIPPAGE
                slippageTolerance:
                  type: string
                source:
                  type: array
                  items:
                    type: object
                    required:
                      - assetId
                      - minAmount
                      - maxAmount
                    properties:
                      assetId:
                        type: string
                      minAmount:
                        type: string
                      maxAmount:
                        type: string
                destination:
                  type: object
                  properties:
                    assetId:
                      type: string
                    address:
                      type: string
                isActive:
                  type: boolean
      responses:
        '200':
          description: Settlement rule updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      description:
                        type: string
                      walletId:
                        type: string
                      order:
                        type: string
                        enum:
                          - FASTEST
                          - CHEAPEST
                          - RECOMMENDED
                          - NO_SLIPPAGE
                      slippageTolerance:
                        type: string
                      isActive:
                        type: boolean
                      source:
                        type: object
                        properties:
                          blockchainId:
                            type: string
                          assetIds:
                            type: array
                            items:
                              type: string
                          minAmount:
                            type: string
                          maxAmount:
                            type: string
                      destination:
                        type: object
                        properties:
                          blockchainId:
                            type: string
                          assetId:
                            type: string
                          address:
                            type: string
                      createdAt:
                        type: string
                        format: date-time
                      updatedAt:
                        type: string
                        format: date-time
                  message:
                    type: string
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '404':
          description: Wallet or asset not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
      security:
        - ApiKeyAuth: []
          OrgIdAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    OrgIdAuth:
      type: apiKey
      in: header
      name: orgId

````